<?php


/*
 *
 *  toxA PHP Proxy
 *  Copyright (C) 2008  Thomas Urban, <info@toxa.de>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


// set this to full URL your proxy will be available at
$PROXY = 'http://www.mydomain.com';

// set this to full URL of content your proxy is providing
$TARGET = 'http://www.largecms.com/mycompany';

// timeout in seconds
$TIMEOUT = 10;

// default charset of HTML documents if missing in HTTP header
$defaultCharset = 'iso-8859-1';

// selects whether getElementsByTagName() etc. use lowercase names,
// choose null for autodetect
$lowerNames = null;

// name of index file to retrieve on remote server
$indexName = 'index.html';

// if true, cookies are passed to client
$passCookies = false;

// set true to get debug information appended to retrieved HTML documents
$debug = false;

// set true to use persistent socket for communicating with target
$usePersistentSocket = false;


/*
 * proxy-local cache
 */

/*
 * Using PCRE patterns:
 *
 * $useCache and $useCacheMIME support use of PCRE patterns.
 * $useCache is applied on current request's query on target host.
 * $useCacheMIME is applied after retrieving resource from target on its MIME.
 *
 * A leading exclamation mark might be used to negate effect of pattern.
 *
 * Pattern must include leading and trailing slashes.
 */

// if true or matching pattern, proxy-local cache is enabled at all
$useCache = true;

// maximum age of a file in cache in seconds, outdated cache files get ignored
$maxCacheAge = 3600;

// optional pattern to disable basically enabled caching on resource's MIME
// (if set false/true, this is ignored)
// example is disabling cache on HTML docs which is advised as a common setup
$useCacheMIME = '!^text/html$';


?>